### Method

# GLib MainContext set_poll_func

#### Declaration [src]

    void
    g_main_context_set_poll_func (
      GMainContext* context,
      GPollFunc func
    )

#### Description [src]

Sets the function to use to handle polling of file descriptors.

It will be used instead of the `poll()` system call (or GLib’s replacement function, which is used where `poll()` isn’t available).

This function could possibly be used to integrate the GLib event loop with an external event loop.

This method is not directly available to language bindings.

#### Parameters

`context`

  Type: `GMainContext`

  A main context (if `NULL`, the global-default main context will be used).

  The argument can be `NULL`.

`func`

  Type: `GPollFunc`

  The function to call to poll all file descriptors.